package com.house365.service.impl;

import com.house365.service.interfaces.WechatClient;
import net.sf.json.JSONObject;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2016/12/30</p>
 *
 * @author XN
 * @version 1.0
 */
@Component
public class WechatClientHystrix implements WechatClient {

    @Override
    public String getAccessToken(
        @RequestParam(value = "corpID") String corpID, @RequestParam(value = "secret") String secret
    ) {
        return "";
    }

    @Override
    public JSONObject getUserInfo(
        @RequestParam(value = "code") String code, @RequestParam(value = "accessToken") String accessToken
    ) {
        return null;
    }

    @Override
    public JSONObject getOpenId(
        @RequestParam(value = "userId") String userId, @RequestParam(value = "agentId") String agentId,
        @RequestParam(value = "accessToken") String accessToken
    ) {
        return null;
    }

    @Override
    public JSONObject getUserId(
        @RequestParam(value = "openid") String openid, @RequestParam(value = "accessToken") String accessToken
    ) {
        return null;
    }

    @Override
    public String getJsapiTicket(
            @RequestParam(value = "corpID") String corpID, @RequestParam(value = "secret") String secret
    ) {
        return null;
    }
}
